## org.ascape.view.nonvis
Interface DataScape

    public interface DataScape

The Interface DataScape.

Method Summary
`void` `writePeriodData(java.io.DataOutputStream os)` Write period data.
`void` `writePeriodHeader(java.io.DataOutputStream os)` Write period header.
`void` `writeRunData(java.io.DataOutputStream os)` Write run data.
`void` `writeRunHeader(java.io.DataOutputStream os)` Write run header.

Method Detail

### writePeriodData

    void writePeriodData(java.io.DataOutputStream os)
                         throws java.io.IOException

  Write period data.

  Parameters:
    `os` - the os
  Throws:
    `java.io.IOException` - Signals that an I/O exception has occurred.

### writePeriodHeader

    void writePeriodHeader(java.io.DataOutputStream os)
                           throws java.io.IOException

  Write period header.

  Parameters:
    `os` - the os
  Throws:
    `java.io.IOException` - Signals that an I/O exception has occurred.

### writeRunData

    void writeRunData(java.io.DataOutputStream os)
                      throws java.io.IOException

  Write run data.

  Parameters:
    `os` - the os
  Throws:
    `java.io.IOException` - Signals that an I/O exception has occurred.

### writeRunHeader

    void writeRunHeader(java.io.DataOutputStream os)
                        throws java.io.IOException

  Write run header.

  Parameters:
    `os` - the os
  Throws:
    `java.io.IOException` - Signals that an I/O exception has occurred.